Skip to main content
POST
/
payroll#addPaySchedule
curl --request POST \ --url 'https://sandbox.rollfi.xyz/payroll#addPaySchedule' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "method": "addPaySchedule", "paySchedule": { "companyId": "AFB94AFD-D9EE-4018-A718-304D43702C9C", "workerType": "1099-NEC", "standardWorkingHours": 8, "compensationFrequency": "BiWeekly", "payBeginDate": "2025-07-31", "payDate": "2025-08-04", "paymentMode": "Self-Initiated" } } '
{ "paySchedule": { "payScheduleId": "8457D59C-20B9-4B01-8B2F-7BD60C700DEB", "status": "Active", "message": "The PaySchedule for Blanda's LLC has been added successfully" } }

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json
method
string
required
paySchedule
object
required

Response

paySchedule
object
required